%define modulename html5lib

Name:		python-%{modulename}
Summary:	A python based HTML parser/tokenizer
Version:	1.0b10
Release:	%mkrel 1
Group:		Development/Python
License:	MIT
URL:		https://pypi.python.org/pypi/%{modulename}

Source0:	https://files.pythonhosted.org/packages/source/h/%{modulename}/%{modulename}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:	pkgconfig(python)
BuildRequires:	pythonegg(2)(mock)
BuildRequires:	pythonegg(2)(nose)
BuildRequires:	pythonegg(2)(pytest)
BuildRequires:	pythonegg(2)(six)
BuildRequires:	pythonegg(2)(webencodings)
BuildRequires:	pythonegg(2)(pytools)

BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(pytools)
BuildRequires:	pythonegg(3)(nose)
BuildRequires:	pythonegg(3)(six)
BuildRequires:	pythonegg(3)(setuptools)
BuildRequires:	pythonegg(3)(webencodings)
BuildRequires:	pythonegg(3)(mock)
BuildRequires:	pythonegg(3)(pytest)


%description
A python based HTML parser/tokenizer based on the WHATWG HTML5 
specification for maximum compatibility with major desktop web browsers.


%package -n python3-%{modulename}
Summary:	A python based HTML parser/tokenizer 
Group:		Development/Python 

%description -n python3-%{modulename}
A python based HTML parser/tokenizer based on the WHATWG HTML5 
specification for maximum compatibility with major desktop web browsers.


%prep
%setup -q -n %{modulename}-%{version} 
rm -rf %{py3dir}
cp -a . %{py3dir}


%build
%py2_build
pushd %{py3dir}
%py3_build
popd


%install
pushd %{py3dir}
%py3_install
popd
%py2_install


%check
nosetests || true
pushd %{py3dir}
nosetests-%{python3_version} || true
popd

%files
%doc CHANGES.rst README.rst LICENSE 
%{python_sitelib}/%{modulename}-*.egg-info
%{python_sitelib}/%{modulename}

%files -n python3-%{modulename}
%doc CHANGES.rst LICENSE README.rst
%{python3_sitelib}/%{modulename}-*.egg-info
%{python3_sitelib}/%{modulename}



%changelog
* Fri Dec 09 2016 philippem <philippem> 1.0b10-1.mga6
+ Revision: 1073767
- clean spec, use new macros, add build requires

  + shlomif <shlomif>
    - New version (MGA#19912).

* Fri Feb 19 2016 umeabot <umeabot> 1.0b8-2.mga6
+ Revision: 970798
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 shlomif <shlomif> 1.0b8-1.mga6
+ Revision: 888400
- New version 1.0b8;Rebuild for Python3 3.5.x

* Wed Oct 15 2014 umeabot <umeabot> 1.0b3-7.mga5
+ Revision: 742680
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0b3-6.mga5
+ Revision: 728735
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0b3-5.mga5
+ Revision: 688082
- Mageia 5 Mass Rebuild

* Mon Jun 02 2014 philippem <philippem> 1.0b3-4.mga5
+ Revision: 630671
- fix tests under Python3

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0b3-3.mga4
+ Revision: 543477
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0b3-2.mga4
+ Revision: 498719
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Aug 24 2013 philippem <philippem> 1.0b3-1.mga4
+ Revision: 470869
- imported package python-html5lib

